function [ fp_big ] = set_size_plus(fp,M)

[ y x ] = size(fp);

Mhalf = ((M-1)/2);
% vlozeni otisku do bile plochy, kvuli naslednemu prochazeni bodu po bodu
% a vybiraní jeho okoli - masky
fp_big = ones(y+(Mhalf*2),x+(Mhalf*2));
for i = 1:x
    for j = 1:y
       fp_big(j+Mhalf,i+Mhalf) = fp(j,i);         
    end
end


end
